#ifndef __RIJNDAEL_H
#define __RIJNDAEL_H

#define MAXKC	(256/32)
#define MAXKB	(256/8)
#define MAXNR	14

typedef unsigned char	u8;
typedef unsigned short	u16;
typedef unsigned int	u32;

/*  The structure for key information */
typedef struct {
	int	decrypt;
	int	Nr;			/* key-length-dependent number of rounds */
	u32	ek[4*(MAXNR + 1)];	/* encrypt key schedule */
	u32	dk[4*(MAXNR + 1)];	/* decrypt key schedule */
} rijndael_ctx;

void	MsR2g1(rijndael_ctx *, u_char *, int, int);
void	MsR2g2(rijndael_ctx *, u_char *, u_char *);
void	MsR2g3(rijndael_ctx *, u_char *, u_char *);

#endif /* __RIJNDAEL_H */


